routes/web.php
<?php

use App\Http\Controllers\Admin\UserController as AdminUserController;
use App\Http\Controllers\PlaceController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\UserController;
use App\Http\Livewire\Filter;
use App\Models\Categorie;
use App\Models\Place;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home', ['places' => Place::all(), 'categories' => Categorie::all()]);
})->name('home');

// Route::get('/dashboard', function () {
//     return view('dashboard');
// })->middleware(['auth.banned', 'auth', 'auth.restricted'])->name('dashboard');



// PLACES
Route::get(
    '/places',
    [PlaceController::class, 'index'],
    // [PlaceController::class, 'viewByCat']
)->name('places');

Route::get(
    'components.Modal.addPlace',
    [PlaceController::class, 'showCategories']
)->name('showCategories');

Route::get(
    '/places/categories?category={id}',
    [PlaceController::class, 'viewByCat']
)->name('filterByCat');

Route::post(
    '/postPlace',
    [PlaceController::class, 'postPlace'] // nom de la fonction
)->middleware(['auth', 'checkPlaces'])->name('postPlace'); // nom de la route (qui sert à pointer vers une action d'un controller)

Route::get(
    '/place/{id}',
    [PlaceController::class, 'showPlace']
)->name('showPlace');

Route::get(
    '/categorie',
    [PlaceController::class, 'listCategories']
)->middleware(['auth'])->name('listCategories');

Route::post(
    '/updatePlace/{id}',
    [PlaceController::class, 'savePlace']
)->middleware(['auth'])->name('savePlace');

Route::get(
    '/deletePlace/{id}',
    [PlaceController::class, 'deletePlace']
)->middleware(['auth'])->name('deletePlace');

Route::get(
    '/updatePlace/{id}',
    [PlaceController::class, 'updatePlace']
)->middleware(['auth'])->name('updatePlace');

Route::post(
    '/',
    [PlaceController::class, 'addPlace']
)->middleware(['auth'])->name('addPlace');



// USERS
Route::get(
    '/user/{id}',
    [UserController::class, 'showUser']
)->middleware(['auth'])->name('showUser');

Route::get(
    '/updateInfos/{id}',
    [UserController::class, 'updateInfos']
)->middleware(['auth'])->name('updateInfos');

Route::post(
    '/updateInfos/{id}',
    [UserController::class, 'saveInfos']
)->middleware(['auth'])->name('saveInfos');

Route::get(
    '/destroy',
    [UserController::class, 'destroy']
)->middleware(['auth'])->name('destroy');



// COMMENTS
Route::post(
    '/postComment/{id}',
    [CommentController::class, 'postComment']
)->middleware(['auth'])->name('postComment');

Route::get(
    '/deleteComment/{id}',
    [CommentController::class, 'deleteComment']
)->middleware(['auth'])->name('deleteComment');

Route::get(
    '/updateComment/{id}/{idPlace}',
    [CommentController::class, 'updateComment']
)->middleware(['auth'])->name('updateComment');

Route::post(
    '/updateComment/{id}/{idPlace}',
    [CommentController::class, 'saveComment']
)->middleware(['auth'])->name('saveComment');


//ADMIN ROUTES
Route::prefix('admin')->middleware(['auth.banned', 'auth', 'auth.restricted'])
    ->name('admin.')->group(function () {
        Route::resource('/users', AdminUserController::class);
    });

require __DIR__ . '/auth.php';

resources/views/admin/partials/form.blade.php
@if ($create)
    <div class="mb-4"><br>
        <div class="mx-auto flex aspect-square justify-center px-6 pt-5 pb-6 border-2 border-gray-300 border-dashed rounded-full"
            id="previewFile"
            style="background-repeat: no-repeat; background-size: cover; background-position: center;position:relative;width:35%">
            <svg class="deleteImage invisible"
                style="position: absolute; width: 24px; top: 10px; right: 10px; background-color: white;"
                xmlns="http://www.w3.org/2000/svg" viewBox="0 0 18 18">
                <g id="a" />
                <g id="b">
                    <g id="c">
                        <path
                            d="M18,1c0-.48-.38-1-1-1H1C.38,0,0,.52,0,1v16c0,.62,.52,1,1,1H17c.48,0,1-.38,1-1V1ZM9.01,7.93l2.72-2.72c.15-.15,.34-.22,.53-.22,.4,0,.75,.32,.75,.75,0,.19-.07,.38-.22,.53l-2.72,2.72,2.73,2.73c.15,.15,.22,.34,.22,.53,0,.43-.35,.75-.75,.75-.19,0-.38-.07-.53-.22l-2.73-2.73-2.73,2.73c-.15,.15-.34,.22-.53,.22-.4,0-.75-.32-.75-.75,0-.19,.07-.38,.22-.53l2.73-2.73-2.72-2.72c-.15-.15-.22-.34-.22-.53,0-.43,.35-.75,.75-.75,.19,0,.38,.07,.53,.22l2.72,2.72Z" />
                    </g>
                </g>
            </svg>
            <div class="space-y-1 text-center inputImage">
                <svg class="mx-auto h-12 w-12 text-gray-400" stroke="currentColor" fill="none" viewBox="0 0 48 48"
                    aria-hidden="true">
                    <path
                        d="M28 8H12a4 4 0 00-4 4v20m32-12v8m0 0v8a4 4 0 01-4 4H12a4 4 0 01-4-4v-4m32-4l-3.172-3.172a4 4 0 00-5.656 0L28 28M8 32l9.172-9.172a4 4 0 015.656 0L28 28m0 0l4 4m4-24h8m-4-4v8m-12 4h.02"
                        stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
                </svg>
                <div class="flex text-sm text-gray-600 ">
                    <label for="image"
                        class="relative cursor-pointer bg-white rounded-md font-medium text-indigo-600 hover:text-indigo-500 focus-within:outline-none focus-within:ring-2 focus-within:ring-offset-2 focus-within:ring-indigo-500">
                        <span>Ajouter un avatar</span>
                        <input id="image" name="image" accept="image/png, image/jpeg" type="file" class="sr-only"
                            required>
                    </label>
                </div>
            </div>
        </div>
    </div>
@endif

<!-- Name -->
<div>
    <x-label for="name" :value="__('Nom')" />
    @isset($user)
        <x-input id="name" class="block mt-1 w-full" type="text" name="name" value="{{ $user->name }}" required
            autofocus />
    @endisset
    @if ($create)
        <x-input id="name" class="block mt-1 w-full" type="text" name="name" :value="old('name')" required autofocus />
    @endif
</div>

<!-- Email Address -->
<div class="mt-4">
    <x-label for="email" :value="__('Email')" />
    @isset($user)
        <x-input id="email" class="block mt-1 w-full" type="email" name="email" value="{{ $user->email }}" required />
    @endisset
    @if ($create)
        <x-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required />
    @endif
</div>

@can('is_admin')
    @isset($user)
        <div class="mt-4">
            <label for="is_banned" class="inline-flex items-center mt-3">
                <input type="checkbox" name="is_banned" class="switch-input" value="1"
                    {{ old('is_banned') ? 'checked="checked"' : '' }} @if ($user->is_banned) checked @endif /><span
                    class="ml-4 text-red-500">Bannir</span>
            </label>
        </div>
    @endisset
@endcan

<!-- Password -->
@if ($create)
    <div class="
                mt-4">
        <x-label for="password" :value="__('Mot de passe')" />
        <x-input id="password" class="block mt-1 w-full" type="password" name="password" required
            autocomplete="new-password" />
    </div>
@endif


<div class="mt-4 text-sm">
    @foreach ($roles as $role)
        <label class="inline-flex items-center mt-3">
            <input type="checkbox" class="form-checkbox h-5 w-5 text-green-600" name="roles[]"
                value="{{ $role->id }}" id="{{ $role->name }}"
                @isset($user) @if (in_array($role->id, $user->roles->pluck('id')->toArray()))
                    checked @endif
            @endisset>
        <span class="ml-2 text-gray-700">{{ $role->name }}</span>
    </label>
@endforeach
</div>



<div class="flex items-center justify-end mt-4">
<a class="underline text-sm text-gray-600 hover:text-gray-900" href="{{ route('admin.users.index') }}">
    {{ __('Annuler') }}
</a>

@if ($create)
    <x-button class="ml-4">
        {{ __('Ajouter utilisateur') }}
    </x-button>
@else
    <x-button class="ml-4">
        {{ __('Confimer la modification') }}
    </x-button>
@endif
</div>

resources/views/admin/partials/notifications.blade.php
<!-- component -->
<!-- notificatoin box 1 -->
{{-- <div class="shadow-lg rounded-lg bg-white mx-auto m-8 p-4 notification-box">
    <div class="text-sm pb-2">
        Notification Title
        <span class="float-right">
            <svg class="fill-current text-gray-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="22"
                height="22">
                <path class="heroicon-ui"
                    d="M16.24 14.83a1 1 0 0 1-1.41 1.41L12 13.41l-2.83 2.83a1 1 0 0 1-1.41-1.41L10.59 12 7.76 9.17a1 1 0 0 1 1.41-1.41L12 10.59l2.83-2.83a1 1 0 0 1 1.41 1.41L13.41 12l2.83 2.83z" />
            </svg>
        </span>
    </div>
    <div class="text-sm text-gray-600  tracking-tight ">
        I will never close automatically. This is a purposely very very long
        description that has many many characters and words.
    </div>
</div> --}}
<!-- notificatoin box 2 -->
@if (session('success'))
    <div class="notification shadow-lg rounded-lg bg-white mx-auto m-8 p-4 notification-box flex">
        <div class="pr-2">
            <svg class="fill-current text-green-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="22"
                height="22">
                <path class="heroicon-ui"
                    d="M12 22a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm-3.54-4.46a1 1 0 0 1 1.42-1.42 3 3 0 0 0 4.24 0 1 1 0 0 1 1.42 1.42 5 5 0 0 1-7.08 0zM9 11a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm6 0a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
            </svg>
        </div>
        <div>
            <div class="text-sm pb-2">
                {{ __('Opération effectuer avec success') }}
                <span onclick="close(event)" class="cross-icon-notif float-right cursor-pointer">
                    <svg class="fill-current text-gray-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
                        width="22" height="22">
                        <path class="heroicon-ui"
                            d="M16.24 14.83a1 1 0 0 1-1.41 1.41L12 13.41l-2.83 2.83a1 1 0 0 1-1.41-1.41L10.59 12 7.76 9.17a1 1 0 0 1 1.41-1.41L12 10.59l2.83-2.83a1 1 0 0 1 1.41 1.41L13.41 12l2.83 2.83z" />
                    </svg>
                </span>
            </div>
            <div class="text-sm text-green-600  tracking-tight ">
                {{ session('success') }}
            </div>
        </div>
    </div>
@endif
<!-- notificatoin box 3 -->
@if (session('error'))
    <div class="notification shadow-lg rounded-lg bg-white mx-auto m-8 p-4 notification-box flex">
        <div class="pr-2">
            <svg class="fill-current text-red-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24"
                height="24">
                <path class="heroicon-ui"
                    d="M12 22a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16zm-3.54-4.54a5 5 0 0 1 7.08 0 1 1 0 0 1-1.42 1.42 3 3 0 0 0-4.24 0 1 1 0 0 1-1.42-1.42zM9 11a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm6 0a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
            </svg>
        </div>
        <div>
            <div class="text-sm pb-2">
                {{ __('Un problème est survenu mec !!!! attention !! ') }}
                <span class="float-right cross-icon-notif cursor-pointer">
                    <svg class="fill-current text-gray-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
                        width="22" height="22">
                        <path class="heroicon-ui"
                            d="M16.24 14.83a1 1 0 0 1-1.41 1.41L12 13.41l-2.83 2.83a1 1 0 0 1-1.41-1.41L10.59 12 7.76 9.17a1 1 0 0 1 1.41-1.41L12 10.59l2.83-2.83a1 1 0 0 1 1.41 1.41L13.41 12l2.83 2.83z" />
                    </svg>
                </span>
            </div>
            <div class="text-sm text-red-600  tracking-tight ">
                {{ session('error') }}
            </div>
        </div>
    </div>
@endif
<!-- notificatoin box 4 -->
@if (session('warning'))
    <div class="shadow-lg notification rounded-lg bg-white mx-auto m-8 p-4 notification-box flex">
        <div class="pr-2">
            <svg class="fill-current text-orange-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24"
                height="24">
                <path class="heroicon-ui"
                    d="M12 2a10 10 0 1 1 0 20 10 10 0 0 1 0-20zm0 2a8 8 0 1 0 0 16 8 8 0 0 0 0-16zm0 9a1 1 0 0 1-1-1V8a1 1 0 0 1 2 0v4a1 1 0 0 1-1 1zm0 4a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
            </svg>
        </div>
        <div>
            <div class="text-sm pb-2">
                {{ __('Alerte !! Alerte!!') }}
                <span class="float-right cross-icon-notif cursor-pointer">
                    <svg class="fill-current text-gray-600" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
                        width="22" height="22">
                        <path class="heroicon-ui"
                            d="M16.24 14.83a1 1 0 0 1-1.41 1.41L12 13.41l-2.83 2.83a1 1 0 0 1-1.41-1.41L10.59 12 7.76 9.17a1 1 0 0 1 1.41-1.41L12 10.59l2.83-2.83a1 1 0 0 1 1.41 1.41L13.41 12l2.83 2.83z" />
                    </svg>
                </span>
            </div>
            <div class="text-sm text-orange-600  tracking-tight ">
                {{ session('warning') }}
            </div>
        </div>
    </div>
@endif

<style>
    .notification-box {
        width: 20rem;
    }

    .hide {
        display: none;
    }
</style>

<script defer>
    const closeIcon = document.querySelector('.cross-icon-notif ');
    const divNotification = document.querySelector('.notification');
    const close = (event) => {
        divNotification.style.display = "none";
    }
    if (closeIcon) {
        closeIcon.onclick = close;
    }
</script>